### Method

# ICalGLib Component get_parent

since: 3.0

#### Declaration [src]

    ICalComponent*
    i_cal_component_get_parent (
      ICalComponent* component
    )

#### Description [src]

Gets the parent component of the `component`.

Available since: 3.0

#### Return value

Type: `ICalComponent`

The parent `ICalComponent` of the `component`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.